Bug 58148 - ports that use pre-everything: (instead of pre-everything::)
ports that use pre-everything: (instead of pre-everything::)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 23:40 UTC by eikemeier
Modified: 2003-10-19 20:14 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eikemeier 2003-10-16 23:40:19 UTC
The following ports use `pre-everything:' instead of `pre-everything::'

ade@FreeBSD.org
- devel/libtool13
- devel/libtool14
- devel/libtool15

anholt@FreeBSD.org
- x11/XFree86-4

gcross@fastmail.fm
devel/cppunit

glewis@FreeBSD.org
- java/jdk13

ports@FreeBSD.org
- devel/clanlib
- x11-toolkits/wxgtk-devel

This can lead to conflicts with predefined targets in bsd.port.mk,
portlint detects this error. There is a bug in bsd.port.mk too,
I will submit a separate PR for this.

Fix: 

sed -i.bak -e 's/^pre-everything:$/pre-everything::/' Makefile
How-To-Repeat: 
cd /usr/ports/devel/clanlib; make PERL_VERSION=1.2.3
Comment 1 ade freebsd_committer 2003-10-17 00:55:55 UTC
On Thursday, Oct 16, 2003, at 15:30 US/Pacific, Oliver Eikemeier wrote:
> The following ports use `pre-everything:' instead of `pre-everything::'
>
> ade@FreeBSD.org
> - devel/libtool13
> - devel/libtool14
> - devel/libtool15

Updated.

-aDe
Comment 2 eikemeier 2003-10-17 01:16:01 UTC
Hey guys, that was quick. Only one left:

gcross@fastmail.fm
- devel/cppunit
Comment 3 Mark Linimon freebsd_committer 2003-10-19 20:13:28 UTC
State Changed
From-To: open->closed

Kris has committed that one as well.